
//=============================================================================
//  Microsoft (R) Bloodhound (tm). Copyright (C) 1991-1992.
//
//  MODULE: const.h
//
//  Description:
//
//  This source file contains internal constant definitions.
//
//  Modification History
//
//  raypa               12/20/92        Created (from bhkrnl.h and struct.h>
//=============================================================================

//=============================================================================
//  General constants.
//=============================================================================

#define PUBLIC
#define PRIVATE

#define MAX_LOCK_NESTING            255
#define ADDRESS_HASHTABLE_SIZE      4096

#define VERSION_MAJOR               1
#define VERSION_MINOR               1

#define MakeVersion(Major, Minor)   ((DWORD) MAKEWORD(Minor, Major))

#define GetCurrentVersion()         MakeVersion(VERSION_MAJOR, VERSION_MINOR)

//=============================================================================
//  Capture flags.
//=============================================================================

#define CAPTURE_FLAGS_FILEDATA      0x00000001      //... capture is from file
#define CAPTURE_FLAGS_CAPTUREDATA   0x00000002      //... capture is the net

#define CAPTURE_DATA_MASK           (CAPTURE_FLAGS_CAPTUREDATA | CAPTURE_FLAGS_FILEDATA)

//=============================================================================
//  File format types.
//=============================================================================

#define FILETYPE_UNKNOWN                        0
#define FILETYPE_BLOODHOUND                     1
#define FILETYPE_NETWORK_GENERAL                2
